# Uses of Class
org.eclipse.ecf.provider.generic.SOWrapper

Packages that use SOWrapper
Package
Description
org.eclipse.ecf.provider.generic

## Uses of SOWrapper in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic that return SOWrapper
Modifier and Type
Method
Description
`protected SOWrapper`
SOContainer.`createRemoteSharedObjectWrapper(ID fromID, ReplicaSharedObjectDescription sd, ISharedObject s)`
`protected SOWrapper`
SOContainer.`createSharedObjectWrapper(ID id, ISharedObject s, Map props)`
`protected SOWrapper`
SOContainer.`getSharedObjectWrapper(ID id)`
Methods in org.eclipse.ecf.provider.generic with parameters of type SOWrapper
Modifier and Type
Method
Description
`protected ISharedObjectContainerTransaction`
SOContainer.`addSharedObjectWrapper(SOWrapper wrapper)`
`protected void`
SOContainer.`moveFromLoadingToActive(SOWrapper wrap)`